org.apache.cassandra.index

## Class IndexNotAvailableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cassandra.index.IndexNotAvailableException

- All Implemented Interfaces:
    java.io.Serializable

      public final class IndexNotAvailableException
      extends java.lang.RuntimeException

  Thrown if a secondary index is not currently available.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexNotAvailableException(Index index)` Creates a new `IndexNotAvailableException` for the specified index.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexNotAvailableException

          public IndexNotAvailableException(Index index)

      Creates a new `IndexNotAvailableException` for the specified index.
      Parameters:
        `index` - the index

Copyright © 2018 The Apache Software Foundation